%define upstream_name    Authen-CAS-UserAgent
%define upstream_version 0.91

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    CAS-aware LWP::UserAgent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This module attempts to add transparent CAS authentication support to
LWP::UserAgent. It currently supports using proxy granting tickets, the
RESTful API, screen scraping the login screen, or a custom login callback
when CAS authentication is required.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.910.0-10.mga10
+ Revision: 2211728
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.910.0-9.mga9
+ Revision: 1829924
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.910.0-8.mga8
+ Revision: 1492879
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.910.0-7.mga7
+ Revision: 1265710
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.910.0-6.mga6
+ Revision: 1022608
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.910.0-5.mga6
+ Revision: 932172
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.910.0-4.mga5
+ Revision: 742520
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.910.0-3.mga5
+ Revision: 683566
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.910.0-2.mga4
+ Revision: 522442
- Mageia 4 Mass Rebuild

* Sat Mar 02 2013 guillomovitch <guillomovitch> 0.910.0-1.mga3
+ Revision: 401011
- new version

* Fri Feb 15 2013 guillomovitch <guillomovitch> 0.900.0-1.mga3
+ Revision: 398561
- imported package perl-Authen-CAS-UserAgent


* Fri Feb 15 2013 cpan2dist 0.9-1mga
- initial mageia release, generated with cpan2dist
